| Home | Libraries | People | FAQ | More

## Macro BOOST_COMPUTE_TYPE_NAME

BOOST_COMPUTE_TYPE_NAME

## Synopsis

    // In header: <boost/compute/type_traits/type_name.hpp>

    BOOST_COMPUTE_TYPE_NAME(type, name)

## Description

Registers the OpenCL type for the C++ `type` to `name`.

For example, the following will allow Eigen's `Vector2f` type to be used with Boost.Compute algorithms and containers as the built-in `float2` type.

    BOOST_COMPUTE_TYPE_NAME(Eigen::Vector2f, float2)

This macro should be invoked in the global namespace.

See Also:

type_name()